/*  general  */

html,body, h1, h2, p {
    box-sizing: border-box;
    margin: 0;
    padding: 0;

    }

body {
    font-family: 'Merriweather Sans', sans-serif;
    max-width: 1800px;
    margin: auto;
    }

h1 {
    font-family: 'Sacramento', cursive;
    color:black;
    text-shadow: 8px 8px 20px rgba(14, 74, 96, 1);
    font-size: 4rem;
 
}

h2 {
    font-family: 'Sacramento', cursive;
    color:black;
    text-shadow: 8px 8px 20px rgba(14, 74, 96, 1);
    font-size: 3rem;
 
}
.intro {
    font-family: 'Sacramento', cursive;
    color:black;
    text-shadow: 8px 8px 20px rgba(14, 74, 96, 1);
    font-size: 2rem;
 }

a {
    text-decoration: none;
}

ul {
    list-style: none;
}

.cursive{
    font-family: 'Sacramento', cursive;         
    color: white;
    font-size: 6rem;
}

.cursive-big{
    font-family: 'Sacramento', cursive;         
    color: white;
    font-size: 8rem;
}
.regular{
    font-family: 'Merriweather Sans', sans-serif;
    color: white;
    font-size: 6rem;
}

.regular-border{
    font-family: 'Merriweather Sans', sans-serif;
    color: white;
    font-size: 6rem;
}

/*  Main Page   */

.mainpage {
    margin: 2.5rem;
    display: grid;
    grid-template-columns: repeat(7,1fr);
    grid-template-rows: 80px 1fr 1fr 80px;


    }

.mainpage img {
    display: grid;
    grid-column: 1/8;
    grid-row: 1/5;
    max-width: 1400px;
    margin: auto;
 
  
}

.mainpage .title{
    display: grid;
    grid-row: 1/2;
    grid-column: 1/8;
    text-align: center;
   
    }

.mainpage .text{
    display: grid;
    grid-row: 3/4;
    grid-column: 2/4;
    text-align: end;
    }

.mainpage .menubar {
    grid-column: 1/8;
    grid-row: 4/5;
    text-align: center bottom;
 }
 
.mainpage .menubar .list {
    display: flex;
    justify-content: center;
}

.list a {
    padding:  0 2rem;
    font-size: 2rem;
    color: black;
    text-shadow: 8px 8px 20px rgba(14, 74, 96, 1);
}

.list a:hover {
    color: #333;
}



/*   album   */

.album{
    background-color: black;
}


.text-vertical{
    writing-mode: vertical-lr;
    text-orientation: upright;
    align-self: top;
}

.text-horizontal{
    Display:flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

.text-horizontal-left{
    Display:flex;
    flex-direction: column;
    justify-content: center;
    text-align: left;
    padding-left:  10rem;
}

.borderline{
    outline-width: 5px;
    border-style: solid;
    border-width: 10px;
    border-color: white;
   }

.album img,  .album a {
    width: 100% ;
    height: 100%;
}
  
.page1{
    margin: 2rem;
    display: grid;
    grid-template-columns: 5% 1fr 5%;
}

.page1 a:first-child {
    grid-column: 2/3;
}

.page2{
    margin: 4rem 6rem 4rem 6rem;
    display:grid;
    grid-template-columns: repeat(2,minmax(400px,1fr));
    grid-template-rows: repeat(3,1fr);
    grid-gap: 1.2rem;
}

.page2 a:first-child {
    grid-column: 1/2;
    grid-row: 1/4;
}
.page2 a:nth-child(2) {
    grid-column: 2/3;
    grid-row: 1/3;
}
   
.page2  #page2text {
    grid-column: 2/3;
    grid-row: 3/4;
    align-items: center;
    justify-content: center;
}

.page3{
    margin: 2rem;
    display: grid;
    grid-template-columns: 10% 1fr 10%;
 
}

.page3 a:first-child {
    grid-column: 2/3;
}


.page4{
    margin: 2rem;
    display: grid;
    grid-template-columns: repeat(8,1fr);
    grid-template-rows: 400px 400px 400px;
    grid-gap: 1.2rem;
       
}

.page4 a:first-child {
    grid-column:  1/5;
    grid-row: 1/2;
    }
.page4 a:nth-child(2) {
    grid-column:  5/9;
    grid-row: 1/2;
}
.page4 a:nth-child(3) {
    grid-column:  1/4;
    grid-row: 2/3;
    height:100%;
    width: 100%;
}
.page4 #page4text {
    grid-column:  4/6;
    grid-row: 2/3;
}
.page4 a:nth-child(5) {
    grid-column:  6/9;
    grid-row: 2/3;
}
.page4 a:nth-child(6) {
    grid-column:  1/5;
    grid-row: 3/4;

}
.page4 a:nth-child(7) {
    grid-column:  5/9;
    grid-row: 3/4;
}
.page5{
    margin: 2rem;
    display: grid;
    grid-template-columns: 10% 1fr 10%;
 }

.page5 a:first-child {
    grid-column: 2/3;
}


.page6{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-template-rows: repeat(2,minmax(200px,450px))   ;
    grid-gap: 1.2rem;
       
}
.page7{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(6,1fr);
    grid-template-rows: repeat(3,400px);
    grid-gap: 2.4rem;
}
.page7 a:first-child {
    grid-column:  1/4;
    grid-row: 1/2;
    }
.page7 a:nth-child(2) {
    grid-column:  4/7;
    grid-row: 1/2;
}
.page7 #page7text {
    grid-column:  1/7;
    grid-row: 2/3;
    }
.page7 a:nth-child(4) {
    grid-column:  1/4;
    grid-row: 3/4;   
}
.page7 a:nth-child(5) {
    grid-column:  4/7;
    grid-row: 3/4;
}
.page8{
    margin: 4rem;
    display: grid;
    grid-template-columns: 10% 1fr 10%;
    grid-gap: 1.2rem;
}

.page8 a:first-child {
    grid-column: 2/3;
}
.page9{
    margin: 4rem;
    display: grid;
    grid-template-columns: 15% 1fr 15%;
    grid-gap: 1.2rem;
}

.page9 a:first-child {
    grid-column: 2/3;
}

.page10 {
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(14,1fr);
    grid-template-rows: repeat(9,1fr);
    grid-gap: 1.2rem;
}
.page10 a:first-child{
    grid-column: 1/8;
    grid-row:   1/4;
}
.page10 a:nth-child(2) {
    grid-column: 9/15;
    grid-row:   1/6;
    max-height: 600px;
}
.page10 a:nth-child(3) {
    grid-column: 1/7;
    grid-row:   4/7;
}
.page10 a:nth-child(4) {
    grid-column: 8/15;
    grid-row:   6/10;
}
.page10 a:nth-child(5) {
    grid-column: 1/7;
    grid-row:   7/10;
}

.page11 {
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(30,1fr);
    grid-template-rows: repeat(19,1fr);
    grid-gap: 1.2rem;
}
.page11 a:first-child{
    grid-column: 1/12;
    grid-row:   1/11;
}
.page11 a:nth-child(2) {
    grid-column: 12/31;
    grid-row:   1/10;
}
.page11 a:nth-child(3) {
    grid-column: 1/17;
    grid-row:   11/20;
}
.page11 a:nth-child(4) {
    grid-column: 17/31;
    grid-row:   10/20;
}

.page12{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(6,1fr);
    grid-template-rows: 1fr;
    grid-gap: 1.2rem;
}

.page12 a:first-child{
    grid-column: 1/5;
    grid-row: 1/2;
 
}
.page12 #page12line{
    grid-column: 5;
    grid-row: 1/2;
}

.page12 #page12text {
    grid-column: 5/7;
    grid-row: 1/2;
}

.page13{
    margin: 4rem;
    display: grid;
    grid-template-columns: 5% 1fr 5%;
    grid-gap: 1.2rem;
}

.page13 a:first-child{
    grid-column: 2/3;
}

.page14{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(18,1fr);
    grid-template-rows: repeat(2,minmax(400px,600px));
    grid-gap: 2.4rem;
}

.page14 a:first-child{
    grid-column: 1/9;
    grid-row: 1/2;
}

.page14 a:nth-child(2){
    grid-column: 9/19;
    grid-row: 1/2;
}

.page14 a:nth-child(3){
    grid-column: 1/10;
    grid-row: 2/3
}

.page14 a:nth-child(4){
    grid-column: 10/19;
    grid-row: 2/3;
}

.page15{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(9,1fr);
    grid-template-rows: repeat(2,minmax(400px, 600px));
    grid-gap: 1.2rem;
}

.page15 a:first-child{
    grid-column: 1/5;
    grid-row: 1/2;
}

.page15 a:nth-child(2){
    grid-column: 5/10;
    grid-row: 1/2;
}

.page15 a:nth-child(3){
    grid-column: 2/9;
    grid-row: 2/3;
}

.page16{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(9,1fr);
    grid-template-rows: repeat(2,1fr);
    grid-gap: 1.2rem;
}

.page16 a:first-child{
    grid-column: 1/5;
    grid-row: 1/3;
}

.page16 a:nth-child(2){
    grid-column: 5/10;
    grid-row: 1/2;
}

.page16 a:nth-child(3){
    grid-column: 5/10;
    grid-row: 2/3;
}

.page17{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(9,1fr);
    grid-template-rows: repeat(2,minmax(400px, 600px));
    grid-gap: 1.2rem;
}

.page17 a:first-child{
    grid-column: 1/10;
    grid-row: 1/2;
}

.page17 a:nth-child(2){
    grid-column: 1/10;
    grid-row: 2/3;
}

.page18{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(9,1fr);
    grid-template-rows: repeat(3,minmax(200px, 400px));
    grid-gap: 1.2rem;
}

.page18 a:first-child{
    grid-column: 1/4;
    grid-row: 1/2;
}

.page18 a:nth-child(2){
    grid-column: 4/7;
    grid-row: 1/2;
}
.page18 a:nth-child(3){
    grid-column: 7/10;
    grid-row: 1/2;
}    
.page18 a:nth-child(4){
    grid-column: 1/4;
    grid-row: 2/3;
}
.page18 #page18text{
    grid-column: 4/7;
    grid-row: 2/3;
}
.page18 a:nth-child(6){
    grid-column: 7/10;
    grid-row: 2/3;
}
.page18 a:nth-child(7){
    grid-column: 1/4;
    grid-row: 3/4;
}
.page18 a:nth-child(8){
    grid-column: 4/7;
    grid-row: 3/4;
}
.page18 a:nth-child(9){
    grid-column: 7/10;
    grid-row: 3/4;
}
.page19{
    margin: 4rem;
    display: grid;
    grid-template-columns: 2% 1fr 2%;
    grid-template-rows: repeat(2,minmax(400px, 600px));
    grid-gap: 1.2rem;
}

.page19 a:first-child{
    grid-column: 2/3;
    grid-row: 1/2;
}

.page19 a:nth-child(2){
    grid-column: 2/3;
    grid-row: 2/3;
}

.page20{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(8,1fr);
    grid-template-rows: repeat(2,1fr);
    grid-gap: 1.2rem;
}

.page20 a:first-child{
    grid-column: 1/5;
    grid-row: 1/2;
}

.page20 a:nth-child(2){
    grid-column: 5/9;
    grid-row: 1/3;
}
.page20 a:nth-child(3){
    grid-column: 1/5;
    grid-row: 2/3;
}    
.page21{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(8,1fr);
    grid-template-rows: repeat(2,1fr);
    grid-gap: 1.2rem;
}

.page21 a:first-child{
    grid-column: 1/9;
    grid-row: 1/2;
}

.page21 a:nth-child(2){
    grid-column: 1/5;
    grid-row: 2/3;
}
.page21 a:nth-child(3){
    grid-column: 5/9;
    grid-row: 2/3;
}    

.page22{
    margin: 4rem;
    display: grid;
    grid-template-columns: 5% 1fr 5%;
    grid-gap: 1.2rem;
}

.page22 a:first-child{
    grid-column: 2/3;
}

.page23{
    margin: 4rem;
    display: grid;
    grid-template-columns: 5% 1fr 5%;
    grid-template-rows: 10rem 2fr;
    grid-gap: 1.2rem;
}

.page23 #page23text{
    grid-column: 2/4;
    grid-row: 1/2;
}
.page23 a:nth-child(2){
    grid-column: 1/4;
    grid-row: 2/3;
}
.page24{
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(6,1fr);
    grid-template-rows: repeat(3,1fr);
    grid-gap: 1.2rem;
}

.page24 a:first-child{
    grid-column: 1/3;
    grid-row: 1/2;
}

.page24 a:nth-child(2){
    grid-column: 3/7;
    grid-row: 1/4;
}
.page24 a:nth-child(3){
    grid-column: 1/3;
    grid-row: 2/3;
}    
.page24 a:nth-child(4){
    grid-column: 1/3;
    grid-row: 3/4;
}    

.page25{
    margin: 4rem;
    display: grid;
    grid-template-columns: 5% 1fr 5%;
    grid-gap: 1.2rem;
}

.page25 a:first-child{
    grid-column: 2/3;
}

.page26{
    margin: 4rem;
    display: grid;
    grid-template-columns: 5% 1fr 5%;
    grid-gap: 1.2rem;
}

.page26 a:first-child{
    grid-column: 2/3;
}

.photos img,  .photos a {
    width: 100% ;
    height: 100%;
}


.rings {
    display: grid;
    grid-template-columns: (4,1fr);
    grid-template-rows: (4,1fr);
    grid-gap: 1.2rem;
    margin: 2.2rem;
    }
    
  
    
    .rings a:nth-child(1){
        grid-column: 1/3;
        grid-row: 3/5;
    }    
    .rings a:nth-child(2){
        grid-column: 3/5;
        grid-row: 3/5;
    }    
    .rings a:nth-child(3){
        grid-column: 1/5;
        grid-row: 1/3;
    }    
    
    
    .prep {
        display: grid;
        grid-template-columns: (4,1fr);
        grid-template-rows: (5,1fr);
        grid-gap: 1.2rem;
        margin: 2.2rem;
        }
        
        .prep a:nth-child(1){
            grid-column: 1/3;
            grid-row: 1/3;
        } 
        
        .prep a:nth-child(2){
            grid-column: 3/5;
            grid-row: 1/3;
        } 
        
        .prep a:nth-child(3){
            grid-column: 1/5;
            grid-row: 3/4;
        }  
    
        .prep a:nth-child(4){
            grid-column: 1/3;
            grid-row: 4/6;
        }  
    
        .prep a:nth-child(5){
            grid-column: 3/5;
            grid-row: 4/6;
        }  


        .prep-2 {
            display: grid;
            grid-template-columns: (4,1fr);
            grid-template-rows: (5,1fr);
            grid-gap: 1.2rem;
            margin: 2.2rem;
            }

            .prep-2 a:nth-child(1){
                grid-column: 1/3;
                grid-row: 1/2;
            } 
            
            .prep-2 a:nth-child(2){
                grid-column: 3/5;
                grid-row: 1/2;
            } 
            
            .prep-2 a:nth-child(3){
                grid-column: 1/5;
                grid-row: 2/3;
            }  
        
            .prep-2 a:nth-child(4){
                grid-column: 1/5;
                grid-row: 3/4;
            }  
            .prep-2 a:nth-child(5){
                grid-column: 1/3;
                grid-row: 4/5;
            } 
            
            .prep-2 a:nth-child(6){
                grid-column: 3/5;
                grid-row: 4/5;
            } 
            
            .prep-2 a:nth-child(7){
                grid-column: 1/3;
                grid-row: 5/6;
            }  
        
            .prep-2 a:nth-child(8){
                grid-column: 3/5;
                grid-row: 5/6;
            }  
             
    
             
@media (max-width: 900px)


.cursive{
    font-family: 'Sacramento', cursive;
    color: white;
    font-size: 4rem;

}

.cursive-big{
    font-family: 'Sacramento', cursive;         
    color: white;
    font-size: 6rem;
    
}
.regular{
    font-family: 'Merriweather Sans', sans-serif;
    color: white;
    font-size: 4rem;
}

.regular-border{
    font-family: 'Merriweather Sans', sans-serif;
    color: white;
    font-size: 4rem;
    
}

.text-horizontal-left{
    Display:flex;
    flex-direction: column;
    justify-content: center;
    text-align: left;
    padding-left:  3rem;
}

.text-vertical{
    font-size: .8rem;
    padding-left: -1rem;
}










@media (max-width: 700px) 

.page1, .page2, .page3, .page4, .page5, .page6, .page7, .page8, .page9 {
    margin: 2rem;
    display: grid;
    grid-template-columns: 5% 1fr 5%;
}

.page3 {

    grid-template-columns: none;
}


